
QGIS Application - Bug report #21955

Duplicate layer when changing the order in the Layer order Panel

2019-04-29 06:51 PM - Etienne MORO

Status: Closed

Priority: High

Assignee: Nyall Dawson

Category: Map Legend

Affected QGIS version:3.4.7 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29770

Description

Very annoying bug using QGIS daily:

When you change the order of a layer in the 'Layers Panel', the layer is duplicated in the 'Layer order Panel'. Then, if you activate 'Control

rendering order', change the order of layers in the 'Layer order Panel', and add a label to the duplicated layer, the label is also duplicated

in the canvas, as if there were the layer twice, whereas there's only one layer.

I made a video (attached to this message) to show this problem. You'll also find the files used in this video, but the problem is always the

same with every kind of layer.

Associated revisions

Revision 3a4ca7b0 - 2019-05-03 02:27 AM - Nyall Dawson

Fix duplicate layers in custom layer order panel

Fixes #21955

Revision 5a3d3978 - 2019-05-03 02:27 AM - Nyall Dawson

Fix duplicate layers in custom layer order panel

Fixes #21955

Revision 346cb388 - 2019-05-03 04:54 AM - Nyall Dawson

Fix duplicate layers in custom layer order panel

Fixes #21955

Revision b5b0611a - 2019-05-06 09:02 PM - Nyall Dawson

Fix duplicate layers in custom layer order panel

Fixes #21955

Revision 546b0412 - 2019-05-07 01:05 AM - Nyall Dawson
Fix duplicate layers in custom layer order panel

Fixes #21955

History

#1 - 2019-04-29 06:54 PM - Etienne MORO

- File Qgis-PbLayerOrder.mp4 added

#2 - 2019-04-30 05:03 AM - Nyall Dawson

- Assignee set to Nyall Dawson

- Status changed from Open to In Progress

#3 - 2019-05-01 05:58 PM - Giovanni Manghi

- Operating System deleted (Windows 7)

- Regression? changed from No to Yes

#4 - 2019-05-03 04:54 AM - Nyall Dawson

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|346cb388cf4a8a3d816d4f87d72e966164089825.

#5 - 2019-05-10 04:35 PM - Vitor Fonseca

also in qgis 3.6.2

Files

_pb layer order.zip 65.3 KB 2019-04-29 Etienne MORO

Qgis-PbLayerOrder.mp4 4.87 MB 2019-04-29 Etienne MORO
